package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("V_TYRZ_USER")
@ApiModel(value="VRsGgfwTyrzUser对象", description="统一认证用户表")
public class VRsGgfwTyrzUser {

	@ApiModelProperty(value = "用户唯一标识（uid），由省统 一身份认证平台内部生成")
	@TableId(value = "USERIDCODE", type = IdType.ASSIGN_UUID)
	private String useridcode;
	@ApiModelProperty(value = "用户类型 1 表示个人用户 2 表示法人用户")
	@TableField("USERTYPE")
	private String usertype;
	@ApiModelProperty(value = "账户名")
	@TableField("USERID")
	private String userid;
	@ApiModelProperty(value = "手机号，密码找回方式")
	@TableField("TELEPHONENUMBER")
	private String telephonenumber;
	@ApiModelProperty(value = "电子邮件，密码找回方式")
	@TableField("MAIL")
	private String mail;
	@ApiModelProperty(value = "用户姓名，l2 等级及以上的实名账 户此项信息为实名信息")
	@TableField("CN")
	private String cn;
	@ApiModelProperty(value = "证件类型")
	@TableField("IDCARDTYPE")
	private String idcardtype;
	@ApiModelProperty(value = "证件号码， l2 等级及以上的实名账 户此项信息为实名信息")
	@TableField("IDCARDNUMBER")
	private String idcardnumber;
	@ApiModelProperty(value = "证件地址")
	@TableField("ADDRESS")
	private String address;
	@ApiModelProperty(value = "所属地市，存地址全称拼音")
	@TableField("AREA")
	private String area;
	@ApiModelProperty(value = "用户来源")
	@TableField("ORIGIN")
	private String origin;
	@ApiModelProperty(value = "账户登录方式1：用户名口令登录 2：数字证书登录 3：粤省事扫码登录 4：微警登录 5：国家平台登录")
	@TableField("ACCOUT_TYPE")
	private String accout_type;
	@ApiModelProperty(value = "用户创建时间")
	@TableField("CREATETIME")
	private String createtime;
	@ApiModelProperty(value = "用户信息版本")
	@TableField("UVERSION")
	private String uversion;
	@ApiModelProperty(value = "性别1：男 2：女")
	@TableField("SEX")
	private String sex;

	public String getUseridcode() {
		return useridcode;
	}

	public void setUseridcode(String useridcode) {
		this.useridcode = useridcode;
	}

	public String getUsertype() {
		return usertype;
	}

	public void setUsertype(String usertype) {
		this.usertype = usertype;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getTelephonenumber() {
		return telephonenumber;
	}

	public void setTelephonenumber(String telephonenumber) {
		this.telephonenumber = telephonenumber;
	}

	public String getMail() {
		return mail;
	}

	public void setMail(String mail) {
		this.mail = mail;
	}

	public String getCn() {
		return cn;
	}

	public void setCn(String cn) {
		this.cn = cn;
	}

	public String getIdcardtype() {
		return idcardtype;
	}

	public void setIdcardtype(String idcardtype) {
		this.idcardtype = idcardtype;
	}

	public String getIdcardnumber() {
		return idcardnumber;
	}

	public void setIdcardnumber(String idcardnumber) {
		this.idcardnumber = idcardnumber;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getOrigin() {
		return origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

	public String getAccout_type() {
		return accout_type;
	}

	public void setAccout_type(String accout_type) {
		this.accout_type = accout_type;
	}

	public String getCreatetime() {
		return createtime;
	}

	public void setCreatetime(String createtime) {
		this.createtime = createtime;
	}

	public String getUversion() {
		return uversion;
	}

	public void setUversion(String uversion) {
		this.uversion = uversion;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}
}